(document:surround "/std/frame")

(define (ui-commit)
  (catch/message
    (lambda()
	(apply woo-write "/datetime-installer/edit" (form-value-list)))))

(define (ok)
  (and (ui-commit) (document:end)))

(define (cancel)
  (document:end))

(gridbox columns "1;12;12;1"
       (spacer)
       (gridbox
         columns "50;50"
         colspan 2
         (checkbox text (_ "Get time from NTP server:") name "ntp_status")
         (hbox (label name "ntp_pool" text (_ "NTP server:") visibility #f)
               (edit name "ntp_pool")))
       (spacer)

       (spacer)
       (checkbox colspan 2 text (_ "Work as NTP server") widget-name "ntp_accept" name "ntp_accept")
       (spacer)

       (separator colspan 4)

       (spacer)
       (label text (_ "Current date:") align "center" name "date")
       (label text (_ "Current time:") align "center" name "time")
       (spacer)

       (dateedit colspan 2 expanded #t name "date")
       (timeedit colspan 2 expanded #t name "time")

	(spacer)
	(hbox
	  colspan 2
	  align "center"
          (button name "ok" text (_ "OK"))
	  (button name "cancel" text (_ "Cancel")))
       (spacer))

(effect-disable "ntp_pool" "ntp_status" #f)
(effect-disable "ntp_accept" "ntp_status" #f)
(effect-disable "date" "ntp_status" #t)
(effect-disable "time" "ntp_status" #t)

(document:root
  (when loaded
	(catch/message
	  (lambda()
		(let ((cmd  (woo-read-first "/datetime-installer/edit")))
		  (form-update-value-list '("date" "time" "ntp_status" "ntp_pool" "ntp_accept")
								  cmd)
		  (form-update-activity "ntp_status" (woo-get-option cmd 'ntp_installed)))
		(form-bind "ok" "click" ok)
		(form-bind "cancel" "click" cancel)
		(init-effect)))))
